Module | Prawn
In: | lib/prawn/core.rb lib/prawn/document/annotations.rb lib/prawn/document/bounding_box.rb lib/prawn/document/column_box.rb lib/prawn/document/destinations.rb lib/prawn/document/internals.rb lib/prawn/document/page_geometry.rb lib/prawn/document/span.rb lib/prawn/document/text/box.rb lib/prawn/document/text/wrapping.rb lib/prawn/document/text.rb lib/prawn/document.rb lib/prawn/encoding.rb lib/prawn/errors.rb lib/prawn/font/afm.rb lib/prawn/font/dfont.rb lib/prawn/font/ttf.rb lib/prawn/font.rb lib/prawn/graphics/color.rb lib/prawn/graphics.rb lib/prawn/images/jpg.rb lib/prawn/images/png.rb lib/prawn/images.rb lib/prawn/literal_string.rb lib/prawn/measurements.rb lib/prawn/name_tree.rb lib/prawn/pdf_object.rb lib/prawn/reference.rb

Top level Module

### Methods

PdfObject

### Classes and Modules

Module Prawn::Encoding
Module Prawn::Errors
Module Prawn::Graphics
Module Prawn::Images
Module Prawn::Measurements
Class Prawn::Document
Class Prawn::Font

### Constants

BASEDIR | = | File.expand_path(File.join(dir, '..', '..')) |  | The base source directory for Prawn as installed on the system
VERSION | = | "0.5.0.1"

### Attributes

debug | [RW] | Whe set to true, Prawn will verify hash options to ensure only valid keys are used. Off by default.

### Public Instance methods

PdfObject(obj, in_content_stream = false)

Serializes Ruby objects to their PDF equivalents. Most primitive objects will work as expected, but please note that Name objects are represented by Ruby Symbol objects and Dictionary objects are represented by Ruby hashes (keyed by symbols)

     Examples:

        PdfObject(true)      #=> "true"
        PdfObject(false)     #=> "false"
        PdfObject(1.2124)    #=> "1.2124"
        PdfObject("foo bar") #=> "(foo bar)"
        PdfObject(:Symbol)   #=> "/Symbol"
        PdfObject(["foo",:bar, [1,2]]) #=> "[foo /bar [1 2]]"

[Validate]